<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Información</strong>
    </div>
    <div class="pl-10 pr-10 contSecc">
      <div class="titSec">Consulta de Punto de Contacto</div>
      <div class="gris">
        <v-row>
          <v-col :cols="12" :sm="12" :md="4" :lg="3" :xl="2">
            Nivel de Búsqueda
            <v-select
              height="35"
              v-model="nivelSelected"
              background-color="white"
              :items="niveles"
              return-object
              item-text="descripcion"
              item-value="id_nivel_consulta"
            />
          </v-col>
          <v-col
            v-if="nivelSelected.id_nivel_consulta !== 1"
            :cols="12"
            :sm="12"
            :md="4"
            :lg="3"
            :xl="2"
          >
            {{ nivelSelected.descripcion }}
            <v-select height="35" background-color="white" />
          </v-col>
          <v-col :cols="12" :sm="12" :md="4" :lg="3" :xl="2">
            <v-btn
              style="margin-top: 35px"
              depressed
              dark
              tile
              color="secundary"
              >Buscar</v-btn
            >
          </v-col>
        </v-row>
      </div>
      <div>
        <div>
          *Dato correspondiente a la última actualización 12:34 pm 27/02/2020.
        </div>
        <div>
          La visualización es variable dependiendo de las franquicias actuales.
        </div>
      </div>
      <div class="blanco">
        <template v-if="nivelSelected.id_nivel_consulta == 1">
          <Nacional />
        </template>
        <template v-else-if="nivelSelected.id_nivel_consulta == 2">
          <Territorio />
        </template>
        <template v-else-if="nivelSelected.id_nivel_consulta == 3">
          <Zona />
        </template>
        <template v-else-if="nivelSelected.id_nivel_consulta == 4">
          <Region />
        </template>
        <template v-else>
          <PuntoContacto />
        </template>
      </div>
    </div>
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import Nacional from "@/views/secure/modelo-franquicia/puntos-contacto/informacion/components/Region.vue";
import Territorio from "@/views/secure/modelo-franquicia/puntos-contacto/informacion/components/Territorio.vue";
import Zona from "@/views/secure/modelo-franquicia/puntos-contacto/informacion/components/Zona.vue";
import Region from "@/views/secure/modelo-franquicia/puntos-contacto/informacion/components/Region.vue";
import PuntoContacto from "@/views/secure/modelo-franquicia/puntos-contacto/informacion/components/PuntoContacto.vue";
export default {
  name: "Component-Principal",
  components: {
    Nacional,
    Territorio,
    Zona,
    Region,
    PuntoContacto
  },
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home"
          }
        },
        {
          text: "Modelo de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_franquicia"
          }
        },
        {
          text: "Puntos de Contacto Home",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_franquicia_home_puntos_contacto"
          }
        },
        {
          text: "Información",
          disabled: true
        }
      ],
      nivelSelected: { id_nivel_consulta: 1, descripcion: "Nacional" },
      niveles: [
        { id_nivel_consulta: 1, descripcion: "Nacional" },
        { id_nivel_consulta: 2, descripcion: "Territorio" },
        { id_nivel_consulta: 3, descripcion: "Zona" },
        { id_nivel_consulta: 4, descripcion: "Región" },
        { id_nivel_consulta: 5, descripcion: "Punto de contacto" }
      ]
    };
  }
};
</script>
